Package: groovy.swing.table

## [Java] Class TableMap

- groovy.swing.table.TableMap

- All Implemented Interfaces and Traits:
    TableModelListener

      public class TableMap
      extends AbstractTableModel
      implements TableModelListener

  In a chain of data manipulators some behaviour is common. TableMap provides most of this behaviour and can be subclassed by filters that only need to override a handful of specific methods. TableMap implements TableModel by routing all requests to its model, and TableModelListener by routing all events to its listeners. Inserting a TableMap which has not been subclassed into a chain of table filters should have no effect.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected TableModel` | `model` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Class` | `getColumnClass(int aColumn)`
    `` | `public int` | `getColumnCount()`
    `` | `public String` | `getColumnName(int aColumn)`
    `` | `public TableModel` | `getModel()`
    `` | `public int` | `getRowCount()`
    `` | `public Object` | `getValueAt(int aRow, int aColumn)`
    `` | `public boolean` | `isCellEditable(int row, int column)`
    `` | `public void` | `setModel(TableModel model)`
    `` | `public void` | `setValueAt(Object aValue, int aRow, int aColumn)`
    `` | `public void` | `tableChanged(TableModelEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTableModel` | `getColumnClass, isCellEditable, setValueAt, addTableModelListener, removeTableModelListener, getListeners, fireTableStructureChanged, fireTableChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableCellUpdated, getTableModelListeners, fireTableDataChanged, getColumnName, findColumn, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getColumnCount, getValueAt, getRowCount`

- - ### Field Detail

    - #### protected TableModel model

  - ### Method Detail

    - #### @Override public Class getColumnClass(int aColumn)

    - #### @Override public int getColumnCount()

    - #### @Override public String getColumnName(int aColumn)

    - #### public TableModel getModel()

    - #### @Override public int getRowCount()

    - #### @Override public Object getValueAt(int aRow, int aColumn)

    - #### @Override public boolean isCellEditable(int row, int column)

    - #### public void setModel(TableModel model)

    - #### @Override public void setValueAt(Object aValue, int aRow, int aColumn)

    - #### @Override public void tableChanged(TableModelEvent e)